<div class="min-h-screen flex flex-col items-center justify-between px-4"> <!-- main container -->
    <div class="flex-grow flex items-center justify-center w-full"> <!-- form container -->
        <div class="w-full max-w-md">
            <div class="text-center mb-8"> <!-- logo and title container-->
                <img src="{{ asset('assets/unioil(orange).png') }}" alt="Unioil Logo" class="mx-auto max-w mb-4">
                <h1 class="text-xl font-bold">Welcome</h1>
                <p class="text-gray-600 text-sm">Sign in to continue</p>
            </div>

            <form wire:submit="submit" class="mb-8">
                @csrf
                <div class="mb-4">
                    <label for="username" class="block text-sm font-bold text-gray-700">Username</label>
                    <input wire:model.live="username" type="text" id="username" placeholder="Username" class="mt-1 block w-full px-4 py-2 border border-gray-300 rounded-md shadow-sm focus:ring-blue-500 focus:border-blue-500">
                    @error('username') <span class="text-red-500 text-xs">{{ $message }}</span> @enderror
                </div>

                <div class="mb-4">
                    <label for="password" class="block text-sm font-bold text-gray-700">Password</label>
                    <input wire:model.live="password" type="password" id="password" placeholder="Password" class="mt-1 block w-full px-4 py-2 border border-gray-300 rounded-md shadow-sm focus:ring-blue-500 focus:border-blue-500">
                    @error('password') <span class="text-red-500 text-xs">{{ $message }}</span> @enderror
                </div>

                <div class="flex items-center justify-between text-sm mb-4">
                    <a href="#" class="text-blue-600 hover:underline" wire:click.prevent="forgotUsername">Forgot Username</a>
                </div>

                <button type="submit" class="w-full bg-orange-600 font-bold hover:bg-orange-400 text-white py-2 rounded-md">Log in</button>
            </form>
        </div>
    </div>

    <div class="w-full max-w-md mb-4"> <!-- footer container -->
        <div class="border border-gray-200 mb-2"></div>
        <footer class="text-center text-xs text-gray-400">
            By logging in, you agree to Unioil's Terms of Service, Privacy Policy, and Content Policies. | © 2025 Unioil. All Rights Reserved.
        </footer>
    </div>
</div>
